org.apache.torque.templates.transformer.om

## Enum ReferenceChildElementName

- java.lang.Object
- - java.lang.Enum<ReferenceChildElementName>
  - - org.apache.torque.templates.transformer.om.ReferenceChildElementName

- All Implemented Interfaces:
    Serializable, Comparable<ReferenceChildElementName>, SourceElementName

      public enum ReferenceChildElementName
      extends Enum<ReferenceChildElementName>
      implements SourceElementName

  Contains the child elements for a reference source element which are not defined in the Torque schema. These elements might be created in the transformation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOREIGN_COLUMN` The element containing the foreign column for the parent reference element.
    `LOCAL_COLUMN` The element containing the local column for the parent reference element.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the referenced source element.
    `String` | `toString()`
    `static ReferenceChildElementName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReferenceChildElementName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_COLUMN

          public static final ReferenceChildElementName LOCAL_COLUMN

      The element containing the local column for the parent reference element.

    - #### FOREIGN_COLUMN

          public static final ReferenceChildElementName FOREIGN_COLUMN

      The element containing the foreign column for the parent reference element.

  - ### Method Detail

    - #### values

          public static ReferenceChildElementName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReferenceChildElementName c : ReferenceChildElementName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReferenceChildElementName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element.
      Specified by:
        `getName` in interface `SourceElementName`
      Returns:
        the name of the referenced source element.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ReferenceChildElementName>`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.